commit: 5bdc9404eb71369b33e6b76e0557c73840c69702
Author: Nguyen Dinh Dang Duong <dangduong31205 <AT> gmail <DOT> com>
AuthorDate: Thu Jul 10 22:12:26 2025 +0000
Commit: Nguyen Dinh Dang Duong <dangduong31205 <AT> gmail <DOT> com>
CommitDate: Thu Jul 10 22:15:58 2025 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5bdc9404
dev-libs/lygia: new package, add 1.3.0
Signed-off-by: Nguyen Dinh Dang Duong <dangduong31205 <AT> gmail.com>
dev-libs/lygia/Manifest | 1 +
dev-libs/lygia/files/lygia.pc.in | 7 +++++++
dev-libs/lygia/lygia-1.3.0.ebuild | 39 +++++++++++++++++++++++++++++++++++++++
dev-libs/lygia/metadata.xml | 11 +++++++++++
4 files changed, 58 insertions(+)
diff --git a/dev-libs/lygia/Manifest b/dev-libs/lygia/Manifest
new file mode 100644
index 0000000000..b7a7e4aa17
--- /dev/null
+++ b/dev-libs/lygia/Manifest
@@ -0,0 +1 @@
+DIST lygia-1.3.0.tar.gz 413934 BLAKE2B
5b9662210b3e610c1a78d7b287c236d0193efcb49cd3fdf1d014f179dbd0dd3c3cb462ed2ca0c36b5bdb291341e5cf7a522134a64c7698b431d5f050a5260e63
SHA512
e9b1e81149bb3d6cba32b3dc977b09c6fc6e98cf1ad812ee0367745b3ec88d30befc047373bcaa7f8e01add78b40a2676656335823d233859eb825eb6a8dbe34
diff --git a/dev-libs/lygia/files/lygia.pc.in b/dev-libs/lygia/files/lygia.pc.in
new file mode 100644
index 0000000000..bda2668a0d
--- /dev/null
+++ b/dev-libs/lygia/files/lygia.pc.in
@@ -0,0 +1,7 @@
+install_dir=@INSTALL_DIR@
+
+Name: LYGIA Shader Library
+Description: LYGIA is a shader library of reusable functions that will let you
prototype, port or ship a project in just few minutes.
+Version: @VERSION@
+Cflags: -I${install_dir}
+
diff --git a/dev-libs/lygia/lygia-1.3.0.ebuild
b/dev-libs/lygia/lygia-1.3.0.ebuild
new file mode 100644
index 0000000000..c31c85b7ad
--- /dev/null
+++ b/dev-libs/lygia/lygia-1.3.0.ebuild
@@ -0,0 +1,39 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="LYGIA is a shader library of reusable functions."
+
+HOMEPAGE="
+https://lygia.xyz
+https://github.com/patriciogonzalezvivo/lygia"
+SRC_URI="https://codeload.github.com/patriciogonzalezvivo/lygia/tar.gz/refs/tags/${PV}
-> ${P}.tar.gz"
+
+LICENSE="Prosperity-3.0.0"
+SLOT="0"
+KEYWORDS="~*"
+
+install_dir=/usr/include
+pc_file=lygia.pc
+
+src_prepare()
+{
+ default
+ sed \
+ -e "s|@INSTALL_DIR@|${install_dir%%/}/|g" \
+ -e "s|@VERSION@|${PV}|g" \
+ "${FILESDIR}/${pc_file}.in" > ${pc_file} || die "sed failed"
+}
+
+src_install()
+{
+ dodoc *.md
+ rm -f *.md
+
+ insinto ${install_dir}/${PN}
+ doins -r *
+
+ insinto /usr/lib64/pkgconfig
+ doins ${pc_file}
+}
diff --git a/dev-libs/lygia/metadata.xml b/dev-libs/lygia/metadata.xml
new file mode 100644
index 0000000000..55ea8a8bce
--- /dev/null
+++ b/dev-libs/lygia/metadata.xml
@@ -0,0 +1,11 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>[email protected]</email>
+ <name>Nguyen Dinh Dang Duong</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">patriciogonzalezvivo/lygia</remote-id>
+ </upstream>
+</pkgmetadata>